Statement of investments held by the fund and their unrealised gains to date.
Security
Class_oAuth(Required scopes: fund.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/investment-reports/investment-summary
- Production Environmenthttps://api.class.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/investment-reports/investment-summary
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/investment-reports/investment-summary?atDate=2024-07-01&groupBy=MarketType&includeIncomeExpected=true&costBaseType=AccountingCostbase' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": { "FundName": "DEMO_SMSF_2025", "FundCode": "demo-fund", "DateAsAt": "2025-11-01", "MarketTypeItems": [ { "HoldingAccountItems": [ { "Summary": { "UnitsSpecified": true, "Units": 10000, "AverageCost": 9.6, "MarketPrice": 12.34, "Cost": 96000, "Market": 123400, "UnrealisedGain": 27400, "GainPercentage": 28.54, "TotalPercentage": 2.75, "EstimatedIncome": 3500, "EstimatedYield": 2.84, "SupressZeros": true }, "MarketAndSecurityInfo": { "SecurityCode": "BHP", "SecurityName": "BHP Group Ltd", "MarketCode": "ASX", "MarketAcronym": "ASX" }, "HoldingAccountName": "BHP Group Ltd", "HoldingAccountId": "849f4f5f-7966-4395-9840-ed46ac9096e7", "SecurityCode": "BHP", "ManagedAccountCode": "MA-001", "Grouping": { "NO_FHR_CAPTION": "No grouping applied", "Tags": [null] } } ], "MarketTypeName": "ASX", "TotalCost": 1500000, "TotalMarket": 1650000, "TotalUnrealisedGain": 150000, "TotalGainPercentage": 10, "TotalTotalPercentage": 40, "TotalEstimatedIncome": 45000, "TotalEstimatedYield": 2.73 } ], "TotalCost": 3750000, "TotalMarket": 4025000, "TotalUnrealisedGain": 275000, "TotalGainPercentage": 7.33, "TotalTotalPercentage": 100, "TotalEstimatedIncome": 125000, "TotalEstimatedYield": 3.1, "CostbaseType": "AccountingCostbase" }, "Errors": [ { "Code": "string", "Message": "string" } ] }